searchData={"items":[{"type":"module","title":"certifi","doc":null,"ref":"certifi.html"},{"type":"function","title":"certifi.cacertfile/0","doc":"CACertFile gives the path to the file with an X.509 certificate list containing the Mozilla CA Certificate. The file is used via the cacertfile setting in ssl options, passed to the ssl:connect/2,3,4 function.","ref":"certifi.html#cacertfile/0"},{"type":"function","title":"certifi.cacerts/0","doc":"CACerts builds an X.509 certificate list containing the Mozilla CA Certificate. The certificate list is used via the cacerts setting in ssl options, passed to the connect/2,3,4 function.","ref":"certifi.html#cacerts/0"},{"type":"module","title":"certifi_pt","doc":null,"ref":"certifi_pt.html"},{"type":"function","title":"certifi_pt.parse_transform/2","doc":null,"ref":"certifi_pt.html#parse_transform/2"},{"type":"extras","title":"Overview","doc":"# [certifi](https://github.com/certifi/erlang-certifi)\n\n[![CI](https://github.com/certifi/erlang-certifi/actions/workflows/erlang.yml/badge.svg)](https://github.com/certifi/erlang-certifi/actions/workflows/erlang.yml)\n[![Hex](https://img.shields.io/hexpm/v/certifi.svg)](https://hex.pm/packages/certifi)\n[![HexDocs](https://img.shields.io/badge/hex-docs-lightgreen.svg)](https://hexdocs.pm/certifi)\n\nThis Erlang library contains a CA bundle that you can reference in your Erlang\napplication. This is useful for systems that do not have CA bundles that\nErlang can find itself, or where a uniform set of CAs is valuable.\n\nThis an Erlang specific port of [certifi](https://certifi.io/). The CA bundle\nis derived from Mozilla's canonical set.\n\nList of included certificates:\nhttps://ccadb-public.secure.force.com/mozilla/IncludedCACertificateReport","ref":"readme.html"},{"type":"extras","title":"Usage - Overview","doc":"```erlang\nCaCerts = certifi:cacerts(),\nSslOptions = [{verify, verify_peer},\n              {depth, 99},\n              {cacerts, CaCerts}],\nssl:connect( \"example.com\", 443, SslOptions ).\n```\n\n\nYou can also retrieve the path to the file and load it by yourself if needed:\n\n```erlang\nPath = certifi:cacertfile().\n```","ref":"readme.html#usage"},{"type":"extras","title":"Development - Overview","doc":"Testing:\n\n```shell\nrebar3 eunit\n```\n\nDocumentation:\n\n```shell\nrebar3 ex_doc\n```","ref":"readme.html#development"},{"type":"extras","title":"License","doc":"Copyright (c) 2015-2025, Benoit Chesneau  .\nAll rights reserved.\n\nRedistribution and use in source and binary forms, with or without\nmodification, are permitted provided that the following conditions are\nmet:\n\n* Redistributions of source code must retain the above copyright\n  notice, this list of conditions and the following disclaimer.\n\n* Redistributions in binary form must reproduce the above copyright\n  notice, this list of conditions and the following disclaimer in the\n  documentation and/or other materials provided with the distribution.\n\n* The names of its contributors may not be used to endorse or promote\n  products derived from this software without specific prior written\n  permission.\n\nTHIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS\n\"AS IS\" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT\nLIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR\nA PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT\nOWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,\nSPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT\nLIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,\nDATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY\nTHEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT\n(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE\nOF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.","ref":"license.html"}],"content_type":"text/plain"}